//+------------------------------------------------------------------+
//|                                    .mq4 |
//|                                                      |
//|                                        conys_sm@mail.primorye.ru |
//+------------------------------------------------------------------+
#property copyright " "
#property link      "conys_sm@mail.primorye.ru"

#property indicator_chart_window

string TextS = "";
double LotS,ProfitS;

string TextB = "";
double LotB,ProfitB;

int  pos;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//----
       ObjectCreate("  TS", OBJ_LABEL,0,0,0);
       ObjectSet("  TS",OBJPROP_XDISTANCE,10);
       ObjectSet("  TS",OBJPROP_YDISTANCE,5);
       ObjectSet("  TS",OBJPROP_CORNER,3);       
 
       ObjectCreate("  TB", OBJ_LABEL,0,0,0);
       ObjectSet("  TB",OBJPROP_XDISTANCE,10);
       ObjectSet("  TB",OBJPROP_YDISTANCE,15);
       ObjectSet("  TB",OBJPROP_CORNER,3);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    ObjectDelete("  TS");
    ObjectDelete("  TB");   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
LotS=0;
ProfitS=0;
LotB=0;
ProfitB=0;
    for(pos=OrdersTotal()-1; pos>=0; pos--)
     {
     if(OrderSelect(pos, SELECT_BY_POS, MODE_TRADES) == true)
       {
       if(OrderSymbol()==Symbol())
         {
       //----
         if(OrderType() == OP_SELL)
           {
           LotS += OrderLots();
           ProfitS+=OrderProfit()+OrderSwap(); 
           }
       //----
         if(OrderType() == OP_BUY)
           {
           LotB += OrderLots();
           ProfitB+=OrderProfit()+OrderSwap();
           }
       //----
         }               
       }
     else
       Print(" ", GetLastError());
     }
//----       
TextS = "LOTS= "+DoubleToStr(LotS,1)+"; PROFIT= "+DoubleToStr(ProfitS,2);       
 

       ObjectSetText("  TS",TextS,8,"Arial",OrangeRed);
//----      
TextB = "LOTS= "+DoubleToStr(LotB,1)+"; PROFIT= "+DoubleToStr(ProfitB,2);
       ObjectSetText("  TB",TextB,8,"Arial",Aqua); 
//----
   return(0);
  }
//+------------------------------------------------------------------+